# class Sass::Selector::Class

A class selector (e.g. `.foo`).

### Attributes

name[R]

The class name.

@return [String]

### Public Class Methods

new(name) click to toggle source

@param name [String] The class name

    # File lib/sass/selector.rb, line 63
    def initialize(name)
      @name = name
    end

### Public Instance Methods

specificity() click to toggle source

@see Sass::Selector::AbstractSequence#specificity

    # File lib/sass/selector.rb, line 73
    def specificity
      SPECIFICITY_BASE
    end

to_s(opts = {}) click to toggle source

@see Selector#to_s

    # File lib/sass/selector.rb, line 68
    def to_s(opts = {})
      "." + @name
    end